
use_module(library(lists)).

oracion(oracion(X)) --> interrogativa(X).
oracion(oracion(X)) --> declarativa(X).
declarativa(declarativa(A,B,C)) --> sn(A), v-ser(B), sn(C).
interrogativa(interrogativa(A,B,C)) --> p-int(A), v-ser(B), sn(C), sig-int(_).
sn(sn(X)) --> sn-bas(X).
sn(sn(A,B)) --> sn-bas(A), sn-mod(B).
sn-bas(sn-bas(X)) --> np(X).
sn-bas(sn-bas(A,B)) --> det(A), n(B).
sn-mod(sn-mod(X)) --> sp(X).
sp(sp(A,B))--> prep(A), sn(B).

p-int(p-int(W)) --> [W],{es-p-int(W)}.
v-ser(v-ser(W)) -->[W],{es-v-ser(W)}.
det(det(W)) --> [W],{es-det(W)}.
n(n(W)) --> [W],{es-n(W)}.
prep(prep(W)) --> [W],{es-prep(W)}.
np(np(W)) -->[W],{es-np(W)}.
sig-int(sig-int(W)) --> [W],{es-sig-int(W)}.

es-p-int(W):-
	member(W,[cual,cuales]).
es-v-ser(es).
es-det(la).
es-n(capital).
es-prep(de).
es-np(W):-
	member(W,[atenas,grecia]).
es-sig-int('?').
