
use_module(library(lists)).

oracion([oracion,X]) --> interrogativa(X).
oracion([oracion,X]) --> declarativa(X).
declarativa([declarativa,A,B,C]) --> sn(A), v_ser(B), sn(C).
interrogativa([interrogativa,A,B,C]) --> p_int(A), v_ser(B), sn(C), sig_int(_).
sn([sn,X]) --> sn_bas(X).
sn([sn,A,B]) --> sn_bas(A), sn_mod(B).
sn_bas([sn_bas,X]) --> np(X).
sn_bas([sn_bas,A,B]) --> det(A), n(B).
sn_mod([sn_mod,X]) --> sp(X).
sp([sp,A,B])--> prep(A), sn(B).

p_int([p_int,W]) -->[W],{es-p-int(W)}.
v_ser([v_ser,W]) -->[W],{es-v-ser(W)}.
det([det,W]) --> [W],{es-det(W)}.
n([n,W]) --> [W],{es-n(W)}.
prep([prep,W]) --> [W],{es-prep(W)}.
np([np,W]) -->[W],{es-np(W)}.
sig_int([sig-int,W]) --> [W],{es-sig-int(W)}.

es-p-int(W):-
	member(W,[cual,cuales]).
es-v-ser(es).
es-det(la).
es-n(capital).
es-prep(de).
es-np(W):-
	member(W,[atenas,grecia]).
es-sig-int('?').
