/*     GRAM1   Genero y Numero    */

analisis(X,Y):- asercion(X,Y).

asercion --> sn(N), verb(N),compl.
compl --> [].
compl --> prep,sn(_).
compl--> sn(_).
sn(N)--> npr(N).
sn(N)--> det(G,N),n(G,N).

verb(N)--> [W],{verbo(W,N)}.
npr(N)--> [W],{npropio(W,_,N)}.
n(G,N)--> [W],{nombre(W,G,N)}.
det(G,N)--> [W],{determ(W,G,N)}.
prep--> [W],{prepo(W)}.

/* LEXICON Gram1 genero y numero*/

npropio(clara,femenino,singular).
npropio(maria,femenino,singular).
npropio(juan,masculino,singular).
npropio(barcelona,femenino,singular).
nombre(hombre,masculino,singular).
nombre(hombres,masculino,plural).
nombre(profesor,masculino,singular).
nombre(profesora,femenino,singular).
nombre(profesoras,femenino,plural).
nombre(profesores,masculino,plural).
nombre(libro,masculino,singular).
nombre(libros,masculino,plural).

determ(el,masculino,singular).
determ(la,femenino,singular).
determ(los,masculino,plural).
determ(las,femenino,plural).

determ(un,masculino,singular).
determ(una,femenino,singular).
determ(unos,masculino,plural).
determ(unas,femenino,plural).

verbo(esta,singular).
verbo(estan,plural).
verbo(rie,singular).
verbo(rien,plural).
verbo(piensa,singular).
verbo(piensan,plural).
verbo(habla,singular).
verbo(hablan,plural).
verbo(lee,singular).
verbo(leen,plural).

prepo(en).
prepo(con).
prepo(de).

